<?xml version="1.0" encoding="UTF-8"?>
<!--

    This stylesheet transforms the schema subset's jxdm.xsd into the constraint schema (also named jxdm.xsd).  The purpose of having this
    stylesheet is to encode in one place the cardinality rules, and re-run the transform with each update to the schema subset.  To create the
    constraint schemas, copy the folder with the subset schemas to a new folder called "constraint" and replace ../constraint/jxdm/3.0.3/jxdm.xsd
    with the file produced by this script.

-->
<?xml-stylesheet type="text/xsl" href="C:\xml\ecf\3.1\ecf-v3.1-spec\xsd\constraint-schema-transform.xsl"?>
<xslt:stylesheet xmlns:xslt="http://www.w3.org/1999/XSL/Transform" xmlns:xsd="http://www.w3.org/2001/XMLSchema" version="1.0">
	<xslt:output indent="yes" method="xml"/>
	<xslt:template match="xsd:element[@ref='j:ActivityID' and ../../../../@name='ActivityType']">
		<xsd:element ref="j:ActivityID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ActivityDescriptionText' and ../../../../@name='ActivityType']">
		<xsd:element ref="j:ActivityDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ActivityDate' and ../../../../@name='ActivityType']">
		<xsd:element ref="j:ActivityDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ActivityTime' and ../../../../@name='ActivityType']">
		<xsd:element ref="j:ActivityTime">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ActivityCourt' and ../../../../@name='ActivityType']">
		<xsd:element ref="j:ActivityCourt">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:AddressFullText' and ../../../../@name='AddressType']">
		<xsd:element ref="j:AddressFullText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:AddressPrivateMailboxText' and ../../../../@name='AddressType']">
		<xsd:element ref="j:AddressPrivateMailboxText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationStreet' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationStreet">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationSecondaryUnitText' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationSecondaryUnitText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:AddressRouteName' and ../../../../@name='AddressType']">
		<xsd:element ref="j:AddressRouteName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:AddressMailDeliveryUnitText' and ../../../../@name='AddressType']">
		<xsd:element ref="j:AddressMailDeliveryUnitText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationCityName' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationCityName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationCountyName' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationCountyName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationStateName' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationStateName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationStateCode.USPostalService' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationStateCode.USPostalService">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationPostalCodeID' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationPostalCodeID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationPostalCodeExtensionID' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationPostalCodeExtensionID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationCountryName' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationCountryName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationCountryCode.fips10-4' and ../../../../@name='AddressType']">
		<xsd:element ref="j:LocationCountryCode.fips10-4">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestAgencyRecordID' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestAgencyRecordID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestSubjectReference' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestSubjectReference">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestCharge' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestCharge">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestOfficial' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestOfficial">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestAgency' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestAgency">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestLocation' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestLocation">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestWarrant' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestWarrant">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ArrestBloodAlcoholContentNumberText' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:ArrestBloodAlcoholContentNumberText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:Booking' and ../../../../@name='ArrestType']">
		<xsd:element ref="j:Booking">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinaryObject.Base64' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinaryObject.Base64">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinaryFormatText' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinaryFormatText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinarySizeValue' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinarySizeValue">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinaryTypeText' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinaryTypeText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinaryDescriptionText' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinaryDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinaryReferenceID' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinaryReferenceID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinaryCaptureDate' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinaryCaptureDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BinaryCaptureOrganization' and ../../../../@name='BinaryType']">
		<xsd:element ref="j:BinaryCaptureOrganization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BiometricValueText' and ../../../../@name='BiometricType']">
		<xsd:element ref="j:BiometricValueText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BiometricEncodingMethodText' and ../../../../@name='BiometricType']">
		<xsd:element ref="j:BiometricEncodingMethodText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BiometricDescriptionText' and ../../../../@name='BiometricType']">
		<xsd:element ref="j:BiometricDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BiometricImage' and ../../../../@name='BiometricType']">
		<xsd:element ref="j:BiometricImage">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BiometricCaptureOrganization' and ../../../../@name='BiometricType']">
		<xsd:element ref="j:BiometricCaptureOrganization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BiometricCaptureDate' and ../../../../@name='BiometricType']">
		<xsd:element ref="j:BiometricCaptureDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BookingAgencyRecordID' and ../../../../@name='BookingType']">
		<xsd:element ref="j:BookingAgencyRecordID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:BookingAgency' and ../../../../@name='BookingType']">
		<xsd:element ref="j:BookingAgency">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseOfficialCaseID' and ../../../../@name='CaseOfficialType']">
		<xsd:element ref="j:CaseOfficialCaseID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseInitiatingParty.Organization' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseInitiatingParty.Organization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseInitiatingParty.Person' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseInitiatingParty.Person">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseInitiatingParty.Property' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseInitiatingParty.Property">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseJudge' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseJudge">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseOtherActor.Organization' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseOtherActor.Organization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseOtherActor.Person' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseOtherActor.Person">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseProsecutionAttorney' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseProsecutionAttorney">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseRespondentParty.Organization' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseRespondentParty.Organization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseRespondentParty.Person' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseRespondentParty.Person">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseRespondentParty.Property' and ../../../../@name='CaseParticipantsType']">
		<xsd:element ref="j:CaseRespondentParty.Property">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseTitleText' and ../../../../@name='CaseType']">
		<xsd:element ref="j:CaseTitleText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseTrackingID' and ../../../../@name='CaseType']">
		<xsd:element ref="j:CaseTrackingID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseLineageCase' and ../../../../@name='CaseType']">
		<xsd:element ref="j:CaseLineageCase">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseParticipants' and ../../../../@name='CaseType']">
		<xsd:element ref="j:CaseParticipants">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CaseStatus' and ../../../../@name='CaseType']">
		<xsd:element ref="j:CaseStatus">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeApplicabilityText' and ../../../../@name='ChargeClassificationType']">
		<xsd:element ref="j:ChargeApplicabilityText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeDegreeText' and ../../../../@name='ChargeClassificationType']">
		<xsd:element ref="j:ChargeDegreeText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeEnhancingAllegationCharge' and ../../../../@name='ChargeClassificationType']">
		<xsd:element ref="j:ChargeEnhancingAllegationCharge">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeSpecialAllegationText' and ../../../../@name='ChargeClassificationType']">
		<xsd:element ref="j:ChargeSpecialAllegationText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeSequenceID' and ../../../../@name='ChargeType']">
		<xsd:element ref="j:ChargeSequenceID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeDescriptionText' and ../../../../@name='ChargeType']">
		<xsd:element ref="j:ChargeDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeClassification' and ../../../../@name='ChargeType']">
		<xsd:element ref="j:ChargeClassification">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeStatute' and ../../../../@name='ChargeType']">
		<xsd:element ref="j:ChargeStatute">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ChargeSubjectReference' and ../../../../@name='ChargeType']">
		<xsd:element ref="j:ChargeSubjectReference">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CitationDismissalConditionIndicator' and ../../../../@name='CitationType']">
		<xsd:element ref="j:CitationDismissalConditionIndicator">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CitationDismissalConditionText' and ../../../../@name='CitationType']">
		<xsd:element ref="j:CitationDismissalConditionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CitationIssuingOfficial' and ../../../../@name='CitationType']">
		<xsd:element ref="j:CitationIssuingOfficial">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CitationAgency' and ../../../../@name='CitationType']">
		<xsd:element ref="j:CitationAgency">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CitationViolation' and ../../../../@name='CitationType']">
		<xsd:element ref="j:CitationViolation">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactInformationDescriptionText' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactInformationDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactTelephoneNumber' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactTelephoneNumber">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactFacsimileNumber' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactFacsimileNumber">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactPagerNumber' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactPagerNumber">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactMobileTelephoneNumber' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactMobileTelephoneNumber">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactRadio' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactRadio">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactEmailID' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactEmailID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactWebsiteID' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactWebsiteID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactMailingAddress' and ../../../../@name='ContactInformationType']">
		<xsd:element ref="j:ContactMailingAddress">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactRadioTypeText' and ../../../../@name='ContactRadioType']">
		<xsd:element ref="j:ContactRadioTypeText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactRadioChannelText' and ../../../../@name='ContactRadioType']">
		<xsd:element ref="j:ContactRadioChannelText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ContactRadioCallSignID' and ../../../../@name='ContactRadioType']">
		<xsd:element ref="j:ContactRadioCallSignID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CourtAppearanceDate' and ../../../../@name='CourtAppearanceType']">
		<xsd:element ref="j:CourtAppearanceDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CourtAppearanceTime' and ../../../../@name='CourtAppearanceType']">
		<xsd:element ref="j:CourtAppearanceTime">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CourtEventJudge' and ../../../../@name='CourtEventType']">
		<xsd:element ref="j:CourtEventJudge">
			<xslt:attribute name="minOccurs">1</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CourtName' and ../../../../@name='CourtType']">
		<xsd:element ref="j:CourtName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:CourtOrderStatus' and ../../../../@name='CourtOrderType']">
		<xsd:element ref="j:CourtOrderStatus">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DNALocusTypeText' and ../../../../@name='DNALocusType']">
		<xsd:element ref="j:DNALocusTypeText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DNALocusValue' and ../../../../@name='DNALocusType']">
		<xsd:element ref="j:DNALocusValue">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DNALocus' and ../../../../@name='DNAType']">
		<xsd:element ref="j:DNALocus">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentID' and ../../../../@name='DocumentDescriptiveMetadataType']">
		<xsd:element ref="j:DocumentID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentSequenceID' and ../../../../@name='DocumentDescriptiveMetadataType']">
		<xsd:element ref="j:DocumentSequenceID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentDescriptionText' and ../../../../@name='DocumentDescriptiveMetadataType']">
		<xsd:element ref="j:DocumentDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentStatus' and ../../../../@name='DocumentDescriptiveMetadataType']">
		<xsd:element ref="j:DocumentStatus">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentLanguageCode.iso639-2b' and ../../../../@name='DocumentDescriptiveMetadataType']">
		<xsd:element ref="j:DocumentLanguageCode.iso639-2b">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentApplicationName' and ../../../../@name='DocumentDescriptiveMetadataType']">
		<xsd:element ref="j:DocumentApplicationName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentBinary' and ../../../../@name='DocumentType']">
		<xsd:element ref="j:DocumentBinary">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DocumentDescriptiveMetadata' and ../../../../@name='DocumentType']">
		<xsd:element ref="j:DocumentDescriptiveMetadata">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DriverAuthorizationID' and ../../../../@name='DriverAuthorizationType']">
		<xsd:element ref="j:DriverAuthorizationID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DriverAuthorizationCommericalClassCode' and ../../../../@name='DriverAuthorizationType']">
		<xsd:element ref="j:DriverAuthorizationCommericalClassCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DriverAuthorizationIssueDate' and ../../../../@name='DriverAuthorizationType']">
		<xsd:element ref="j:DriverAuthorizationIssueDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DriverAuthorizationExpirationDate' and ../../../../@name='DriverAuthorizationType']">
		<xsd:element ref="j:DriverAuthorizationExpirationDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DriverAuthorizationRestriction' and ../../../../@name='DriverAuthorizationType']">
		<xsd:element ref="j:DriverAuthorizationRestriction">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingIncidentLegalSpeedRate' and ../../../../@name='DrivingIncidentType']">
		<xsd:element ref="j:DrivingIncidentLegalSpeedRate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingIncidentRecordedSpeedRate' and ../../../../@name='DrivingIncidentType']">
		<xsd:element ref="j:DrivingIncidentRecordedSpeedRate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingIncidentPassengerQuantityText' and ../../../../@name='DrivingIncidentType']">
		<xsd:element ref="j:DrivingIncidentPassengerQuantityText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingIncidentHazMatText' and ../../../../@name='DrivingIncidentType']">
		<xsd:element ref="j:DrivingIncidentHazMatText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingIncidentLaserDetectionIndicator' and ../../../../@name='DrivingIncidentType']">
		<xsd:element ref="j:DrivingIncidentLaserDetectionIndicator">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingIncidentRadarDetectionIndicator' and ../../../../@name='DrivingIncidentType']">
		<xsd:element ref="j:DrivingIncidentRadarDetectionIndicator">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingAccidentSeverityCode' and ../../../../@name='DrivingIncidentType']">
		<xsd:element ref="j:DrivingAccidentSeverityCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingRestrictionText' and ../../../../@name='DrivingRestrictionType']">
		<xsd:element ref="j:DrivingRestrictionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingRestrictionCode' and ../../../../@name='DrivingRestrictionType']">
		<xsd:element ref="j:DrivingRestrictionCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:DrivingRestrictionEndDate' and ../../../../@name='DrivingRestrictionType']">
		<xsd:element ref="j:DrivingRestrictionEndDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:EnforcementOfficialBadgeID' and ../../../../@name='EnforcementOfficialType']">
		<xsd:element ref="j:EnforcementOfficialBadgeID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:EnforcementOfficialUnavailableSchedule' and ../../../../@name='EnforcementOfficialType']">
		<xsd:element ref="j:EnforcementOfficialUnavailableSchedule">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:EnforcementOfficialUnit' and ../../../../@name='EnforcementOfficialType']">
		<xsd:element ref="j:EnforcementOfficialUnit">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:EnforcementUnitName' and ../../../../@name='EnforcementUnitType']">
		<xsd:element ref="j:EnforcementUnitName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:FinancialObligationDueAmount' and ../../../../@name='FinancialObligationType']">
		<xsd:element ref="j:FinancialObligationDueAmount">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:FingerprintFingerText' and ../../../../@name='FingerprintType']">
		<xsd:element ref="j:FingerprintFingerText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ID' and ../../../../@name='IDType']">
		<xsd:element ref="j:ID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IDTypeText' and ../../../../@name='IDType']">
		<xsd:element ref="j:IDTypeText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IDJurisdictionCode.ncicLIS' and ../../../../@name='IDType']">
		<xsd:element ref="j:IDJurisdictionCode.ncicLIS">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IncidentTrafficAccidentInvolvedIndicator' and ../../../../@name='IncidentCategoryType']">
		<xsd:element ref="j:IncidentTrafficAccidentInvolvedIndicator">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IncidentViolatedStatute' and ../../../../@name='IncidentType']">
		<xsd:element ref="j:IncidentViolatedStatute">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IncidentCategory' and ../../../../@name='IncidentType']">
		<xsd:element ref="j:IncidentCategory">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IncidentResponse' and ../../../../@name='IncidentType']">
		<xsd:element ref="j:IncidentResponse">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IncidentLocation' and ../../../../@name='IncidentType']">
		<xsd:element ref="j:IncidentLocation">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IncidentDamagedProperty' and ../../../../@name='IncidentType']">
		<xsd:element ref="j:IncidentDamagedProperty">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:IncidentOfficialPresentIndicator' and ../../../../@name='IncidentType']">
		<xsd:element ref="j:IncidentOfficialPresentIndicator">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:InsuranceCarrierName' and ../../../../@name='InsuranceType']">
		<xsd:element ref="j:InsuranceCarrierName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:InsuranceActiveIndicator' and ../../../../@name='InsuranceType']">
		<xsd:element ref="j:InsuranceActiveIndicator">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:InsuranceCoverageTypeText' and ../../../../@name='InsuranceType']">
		<xsd:element ref="j:InsuranceCoverageTypeText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:JudicialOfficialBarID' and ../../../../@name='JudicialOfficialType']">
		<xsd:element ref="j:JudicialOfficialBarID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:JurisdictionText' and ../../../../@name='JurisdictionType']">
		<xsd:element ref="j:JurisdictionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationDescriptionText' and ../../../../@name='LocationType']">
		<xsd:element ref="j:LocationDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:LocationAddress' and ../../../../@name='LocationType']">
		<xsd:element ref="j:LocationAddress">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationTypeText' and ../../../../@name='ObligationType']">
		<xsd:element ref="j:ObligationTypeText">
			<xslt:attribute name="minOccurs">1</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationExemptionAmount' and ../../../../@name='ObligationExemptionType']">
		<xsd:element ref="j:ObligationExemptionAmount">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationExemptionDescriptionText' and ../../../../@name='ObligationExemptionType']">
		<xsd:element ref="j:ObligationExemptionDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationRequirementDescriptionText' and ../../../../@name='ObligationType']">
		<xsd:element ref="j:ObligationRequirementDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationRecipientReference.Person' and ../../../../@name='ObligationType']">
		<xsd:element ref="j:ObligationRecipientReference.Person">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationSubjectReference.Person' and ../../../../@name='ObligationType']">
		<xsd:element ref="j:ObligationSubjectReference.Person">
			<xslt:attribute name="minOccurs">1</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationStartDate' and ../../../../@name='RecurringObligationType']">
		<xsd:element ref="j:ObligationStartDate">
			<xslt:attribute name="minOccurs">1</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationEndDate' and ../../../../@name='RecurringObligationType']">
		<xsd:element ref="j:ObligationEndDate">
			<xslt:attribute name="minOccurs">1</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ObligationPeriodText' and ../../../../@name='RecurringObligationType']">
		<xsd:element ref="j:ObligationPeriodText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:OrganizationName' and ../../../../@name='OrganizationType']">
		<xsd:element ref="j:OrganizationName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:OrganizationID' and ../../../../@name='OrganizationType']">
		<xsd:element ref="j:OrganizationID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:OrganizationORIID' and ../../../../@name='OrganizationType']">
		<xsd:element ref="j:OrganizationORIID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:OrganizationUnitName' and ../../../../@name='OrganizationType']">
		<xsd:element ref="j:OrganizationUnitName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:OrganizationSubunitName' and ../../../../@name='OrganizationType']">
		<xsd:element ref="j:OrganizationSubunitName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:OrganizationPrimaryContact' and ../../../../@name='OrganizationType']">
		<xsd:element ref="j:OrganizationPrimaryContact">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonTaxID' and ../../../../@name='PersonAssignedIDDetailsType']">
		<xsd:element ref="j:PersonTaxID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonFBIID' and ../../../../@name='PersonAssignedIDDetailsType']">
		<xsd:element ref="j:PersonFBIID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonStateID' and ../../../../@name='PersonAssignedIDDetailsType']">
		<xsd:element ref="j:PersonStateID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonAFISID' and ../../../../@name='PersonAssignedIDDetailsType']">
		<xsd:element ref="j:PersonAFISID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonOtherID' and ../../../../@name='PersonAssignedIDDetailsType']">
		<xsd:element ref="j:PersonOtherID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonFingerprintSet' and ../../../../@name='PersonBiometricDetailsType']">
		<xsd:element ref="j:PersonFingerprintSet">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonDNA' and ../../../../@name='PersonBiometricDetailsType']">
		<xsd:element ref="j:PersonDNA">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonPalmPrint' and ../../../../@name='PersonBiometricDetailsType']">
		<xsd:element ref="j:PersonPalmPrint">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonPrefixName' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonPrefixName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonGivenName' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonGivenName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonMiddleName' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonMiddleName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonSurName' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonSurName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonSuffixName' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonSuffixName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonMaidenName' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonMaidenName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonFullName' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonFullName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonNameInitialsText' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonNameInitialsText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonNameSoundexText' and ../../../../@name='PersonNameType']">
		<xsd:element ref="j:PersonNameSoundexText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonHeightMeasure' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonHeightMeasure">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonWeightMeasure' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonWeightMeasure">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonEyeColorCode' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonEyeColorCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonHairColorCode' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonHairColorCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonSexCode' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonSexCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonRaceText' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonRaceText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonRaceCode' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonRaceCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonPhysicalFeature' and ../../../../@name='PersonPhysicalDetailsType']">
		<xsd:element ref="j:PersonPhysicalFeature">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">unbounded</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonEthnicityText' and ../../../../@name='PersonSocialDetailsType']">
		<xsd:element ref="j:PersonEthnicityText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonPrimaryLanguageCode.iso639-2b' and ../../../../@name='PersonSocialDetailsType']">
		<xsd:element ref="j:PersonPrimaryLanguageCode.iso639-2b">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonName' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonName">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PrimaryContactInformation' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PrimaryContactInformation">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonBirthDate' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonBirthDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonAssignedIDDetails' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonAssignedIDDetails">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonPhysicalDetails' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonPhysicalDetails">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonSocialDetails' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonSocialDetails">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonBiometricDetails' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonBiometricDetails">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonAssignmentUnit.Organization' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonAssignmentUnit.Organization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonAssignmentUnitReference.Organization' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonAssignmentUnitReference.Organization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PersonGangAffiliation' and ../../../../@name='PersonType']">
		<xsd:element ref="j:PersonGangAffiliation">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PhysicalFeatureTypeCode' and ../../../../@name='PhysicalFeatureType']">
		<xsd:element ref="j:PhysicalFeatureTypeCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PhysicalFeatureDescriptionText' and ../../../../@name='PhysicalFeatureType']">
		<xsd:element ref="j:PhysicalFeatureDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PropertyOtherID' and ../../../../@name='PropertyAssignedIDDetailsType']">
		<xsd:element ref="j:PropertyOtherID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:RegistrationJurisdictionCode.ncicLIS' and ../../../../@name='PropertyRegistrationType']">
		<xsd:element ref="j:RegistrationJurisdictionCode.ncicLIS">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PropertyDescriptionText' and ../../../../@name='PropertyType']">
		<xsd:element ref="j:PropertyDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PropertyAssignedIDDetails' and ../../../../@name='PropertyType']">
		<xsd:element ref="j:PropertyAssignedIDDetails">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PropertyValueDetails' and ../../../../@name='PropertyType']">
		<xsd:element ref="j:PropertyValueDetails">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PropertyTotalDamageValue' and ../../../../@name='PropertyValueDetailsType']">
		<xsd:element ref="j:PropertyTotalDamageValue">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:PropertyValueAmount' and ../../../../@name='PropertyValueType']">
		<xsd:element ref="j:PropertyValueAmount">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ScheduleDate' and ../../../../@name='ScheduleDayType']">
		<xsd:element ref="j:ScheduleDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ScheduleDayStartTime' and ../../../../@name='ScheduleDayType']">
		<xsd:element ref="j:ScheduleDayStartTime">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ScheduleDayEndTime' and ../../../../@name='ScheduleDayType']">
		<xsd:element ref="j:ScheduleDayEndTime">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:ScheduleActivityText' and ../../../../@name='ScheduleDayType']">
		<xsd:element ref="j:ScheduleActivityText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatusText' and ../../../../@name='StatusType']">
		<xsd:element ref="j:StatusText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatusDate' and ../../../../@name='StatusType']">
		<xsd:element ref="j:StatusDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatusTime' and ../../../../@name='StatusType']">
		<xsd:element ref="j:StatusTime">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatusDescriptionText' and ../../../../@name='StatusType']">
		<xsd:element ref="j:StatusDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatuteCodeSectionID' and ../../../../@name='StatuteType']">
		<xsd:element ref="j:StatuteCodeSectionID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatuteLevelText' and ../../../../@name='StatuteType']">
		<xsd:element ref="j:StatuteLevelText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatuteDescriptionText' and ../../../../@name='StatuteType']">
		<xsd:element ref="j:StatuteDescriptionText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StatuteJurisdiction' and ../../../../@name='StatuteType']">
		<xsd:element ref="j:StatuteJurisdiction">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:StreetFullText' and ../../../../@name='StreetType']">
		<xsd:element ref="j:StreetFullText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubjectID' and ../../../../@name='SubjectType']">
		<xsd:element ref="j:SubjectID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubjectSupervision' and ../../../../@name='SubjectType']">
		<xsd:element ref="j:SubjectSupervision">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubmissionSubmitter.Organization' and ../../../../@name='SubmissionType']">
		<xsd:element ref="j:SubmissionSubmitter.Organization">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubmissionSubmitter.Person' and ../../../../@name='SubmissionType']">
		<xsd:element ref="j:SubmissionSubmitter.Person">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubmissionSubmittedDate' and ../../../../@name='SubmissionType']">
		<xsd:element ref="j:SubmissionSubmittedDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubmissionSubmittedTime' and ../../../../@name='SubmissionType']">
		<xsd:element ref="j:SubmissionSubmittedTime">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubmissionReceivedDate' and ../../../../@name='SubmissionType']">
		<xsd:element ref="j:SubmissionReceivedDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SubmissionReceivedTime' and ../../../../@name='SubmissionType']">
		<xsd:element ref="j:SubmissionReceivedTime">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SupervisionFacility' and ../../../../@name='SupervisionType']">
		<xsd:element ref="j:SupervisionFacility">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:SupervisionSubjectStatus' and ../../../../@name='SupervisionType']">
		<xsd:element ref="j:SupervisionSubjectStatus">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneNumberFullID' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneNumberFullID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneNumberCommentText' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneNumberCommentText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneCountryCodeID' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneCountryCodeID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneCityCodeID' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneCityCodeID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneAreaCodeID' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneAreaCodeID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneExchangeID' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneExchangeID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneSubscriberID' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneSubscriberID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:TelephoneSuffixID' and ../../../../@name='TelephoneNumberType']">
		<xsd:element ref="j:TelephoneSuffixID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleRegistration' and ../../../../@name='VehicleBasicsType']">
		<xsd:element ref="j:VehicleRegistration">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleRegistrationPlateTypeCode' and ../../../../@name='VehicleRegistrationType']">
		<xsd:element ref="j:VehicleRegistrationPlateTypeCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleID' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleMakeCode' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleMakeCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleModelCode' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleModelCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleModelYearDate' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleModelYearDate">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleStyleCode' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleStyleCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleColorPrimaryText' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleColorPrimaryText">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleColorPrimaryCode' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleColorPrimaryCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:VehicleLicensePlateID' and ../../../../@name='VehicleType']">
		<xsd:element ref="j:VehicleLicensePlateID">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="xsd:element[@ref='j:WarrantExtraditionLimitationCode' and ../../../../@name='WarrantType']">
		<xsd:element ref="j:WarrantExtraditionLimitationCode">
			<xslt:attribute name="minOccurs">0</xslt:attribute>
			<xslt:attribute name="maxOccurs">1</xslt:attribute>
		</xsd:element>
	</xslt:template>
	<xslt:template match="/xsd:schema">
		<xslt:copy>
			<xslt:for-each select="@*">
				<xslt:copy/>
			</xslt:for-each>
			<xslt:apply-templates/>
		</xslt:copy>
	</xslt:template>
	<xslt:template match="xsd:complexType">
		<xslt:copy>
			<xslt:for-each select="@*">
				<xslt:copy/>
			</xslt:for-each>
			<xslt:apply-templates/>
		</xslt:copy>
	</xslt:template>
	<xslt:template match="xsd:simpleType">
		<xslt:copy>
			<xslt:for-each select="@*">
				<xslt:copy/>
			</xslt:for-each>
			<xslt:apply-templates/>
		</xslt:copy>
	</xslt:template>
	<xslt:template match="xsd:complexContent">
		<xslt:copy>
			<xslt:for-each select="@*">
				<xslt:copy/>
			</xslt:for-each>
			<xslt:apply-templates/>
		</xslt:copy>
	</xslt:template>
	<xslt:template match="xsd:extension">
		<xslt:copy>
			<xslt:for-each select="@*">
				<xslt:copy/>
			</xslt:for-each>
			<xslt:apply-templates/>
		</xslt:copy>
	</xslt:template>
	<xslt:template match="xsd:restriction">
		<xslt:copy>
			<xslt:for-each select="@*">
				<xslt:copy/>
			</xslt:for-each>
			<xslt:apply-templates/>
		</xslt:copy>
	</xslt:template>
	<xslt:template match="xsd:sequence">
		<xslt:copy>
			<xslt:for-each select="@*">
				<xslt:copy/>
			</xslt:for-each>
			<xslt:apply-templates/>
		</xslt:copy>
	</xslt:template>
	<xslt:template match="xsd:simpleContent">
		<xslt:copy-of select="."/>
	</xslt:template>
	<xslt:template match="xsd:annotation">
		<xslt:copy-of select="."/>
	</xslt:template>
	<xslt:template match="xsd:enumeration">
		<xslt:copy-of select="."/>
	</xslt:template>
	<xslt:template match="xsd:import">
		<xslt:copy>
			<xslt:attribute name="namespace">
				<xslt:value-of select="@namespace"/>
			</xslt:attribute>
			<xslt:attribute name="schemaLocation">subset/jxdm/3.0.3/<xslt:value-of select="@schemaLocation"/>
			</xslt:attribute>
			<xslt:apply-templates/>
		</xslt:copy>
		<xslt:if test="not(following::xsd:import) and not(/xsd:schema/xsd:attribute[@name='id'])">
			<xsd:attribute type="xsd:ID" name="id"/>
		</xslt:if>
	</xslt:template>
	<xslt:template match="xsd:attribute">
		<xslt:copy-of select="."/>
	</xslt:template>
	<xslt:template match="xsd:attributeGroup">
		<xslt:copy-of select="."/>
	</xslt:template>
	<xslt:template match="xsd:element">
		<xslt:copy-of select="."/>
	</xslt:template>
</xslt:stylesheet>
